| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Namespaces | Macros
escape.hpp File Reference
Private

class escape definition, used for sequential reading of archives More...

`#include "../my_config.h"`
`#include <set>`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | ESCAPE_FIXED_SEQUENCE_NORMAL 0xAD
#define | ESCAPE_FIXED_SEQUENCE_SPARSE_FILE 0xAE
#define | MAX_BUFFER_SIZE 102400

## Detailed Description

class escape definition, used for sequential reading of archives

The class escape is used to insert escape sequences before each new file's data in an archive. The normal file's data is also rewritten if it contains such an escape sequence for it does not collide with real escape sequences At reading time, this class revert backs modification done to file's data containing escape sequences for they contain the original data. This class also provides the feature to skip to the next (real) escape sequence. This class inherits of generic files and its objects are to be used in a stack of generic file's objects. The object below contains modified data and escape sequences, the file over gets the normal file data and does never see escape sequences. Expected implementation is to have a compressor above an escape object and a sar or scrambler/blowfish/... object above it.

Definition in file escape.hpp.

## Macro Definition Documentation

## ◆ ESCAPE_FIXED_SEQUENCE_NORMAL

#define ESCAPE_FIXED_SEQUENCE_NORMAL 0xAD

Definition at line 55 of file escape.hpp.

## ◆ ESCAPE_FIXED_SEQUENCE_SPARSE_FILE

#define ESCAPE_FIXED_SEQUENCE_SPARSE_FILE 0xAE

Definition at line 56 of file escape.hpp.

## ◆ MAX_BUFFER_SIZE

#define MAX_BUFFER_SIZE 102400

Definition at line 58 of file escape.hpp.